Subject: problem starting a transaction

From: [email-masked] (Alfredo Sanchez)
Date: Wed, 4 Aug 93 14:00:40 -0700

I have a C program using PQlib that works fine when
executed direcly from a shell. I want to call that
program as a result of a rule application. Since I
read somewhere that PQlib should not be used in dynamically
loaded functions I am using instead a small function
that forks/execs said program. When the program
reaches a "begin" it core dumps. Is there any reason
why any postquel statement wouldn't work when exec'ed 
from the backend?

Thanks in advance,

J Alfredo Sanchez H
-------------------
Hypermedia Research Lab
Texas A&M University

p.s. the stack trace looks like:

(dbx) where
warning: core file read error: data space address too high
loop2() at 0xf773b6d8
pq_connect() at 0x85f0
read_remark() at 0x4cfc
PQexec() at 0x5b40
OM_BeginTransaction(rc = 0xf7fffdb0), line 28 in "accts/joseash/hb3/OM/src/OM_BeginTransaction.c"
AS_LoadClassInstances() at 0x27a4
main() at 0x238c

OM_BeginTransaction is just a wrapper for postquel's "begin".
Line 28 is 

   result = PQexec("begin");